<?php

namespace Transferito\Models\Core;

class Config {

    public static function getBasePath()
    {
        return TRANSFERITO_UPLOAD_PATH;
    }

    public static function getUploadPath()
    {
        return wp_upload_dir()["path"];
    }

	public static function getBaseApiUrl()
	{
		return 'https://transferito.com/wp';
    }

	public static function getEndpoint($endpoint)
	{
		return self::getBaseApiUrl() . '/' . $endpoint;
    }

    public static function getCorrectPath()
    {
        $transferitoDir = self::getBasePath();
        if (!file_exists($transferitoDir)) {
            if (!wp_mkdir_p( $transferitoDir)) {
                $transferitoDir = self::getUploadPath();
            }
        }
        return $transferitoDir;
    }

	public static function getWPContentPaths()
	{
		$paths = [];
		$iterator = new \RecursiveIteratorIterator(
			new \RecursiveDirectoryIterator(WP_CONTENT_DIR, \RecursiveDirectoryIterator::SKIP_DOTS),
			\RecursiveIteratorIterator::SELF_FIRST);
		$iterator->setMaxDepth(1);
		foreach($iterator as $file) {
			if($file->isDir()) {
				$depth = $iterator->getDepth();
				if ($depth === 0) {
					$paths[$file->getFilename()] = [];
				} else if ($depth === 1) {
					$fullPath = $file->getRealpath();
					$splitPaths = array_filter(explode('/', substr($fullPath, strlen(WP_CONTENT_DIR))));
					array_push($paths[$splitPaths[1]], $splitPaths[2]);
				}
			}
		}
		return $paths;
    }

}