<?php

namespace Transferito\Models\Transfer;

use Transferito\Models\Transfer\Archive;
use Transferito\Models\Core\Config;

class CodeBase {


    public function getDirectory()
    {
        $transferitoDir = Config::getBasePath();
        if (!file_exists($transferitoDir)) {
            if (!wp_mkdir_p( $transferitoDir)) {
                $transferitoDir = Config::getUploadPath();
            }
        }
        return $transferitoDir;
    }

	/**
	 * @param $excludeTransferitoPlugin
	 * @param $selectedFoldersEnabled
	 * @param $folderPathArray
	 *
	 * @return string
	 */
    public function download($selectedFoldersEnabled, $folderPathArray, $excludeTransferitoPlugin = false)
    {
        $archive = new Archive();
        return $archive->createArchive(
	        $excludeTransferitoPlugin,
            ABSPATH,
            Config::getCorrectPath(),
            "codebase_download_" . date("dmY_His") . ".zip",
            "createDirectoryArchive",
	        $selectedFoldersEnabled,
	        $folderPathArray
        );
    }

}