<?php

namespace Transferito\Models\Transfer;

use Transferito\Models\Core\Config;
use Transferito\Models\Transfer\Archive;

class Database {

    public function download($excludeTransferitoPlugin, $destinationUrl)
    {
        $sqlPath = $this->exportDatabase($excludeTransferitoPlugin, $destinationUrl, DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);

        $archive = new Archive();
        $zippedSqlPath = $archive->createArchive(
	        $excludeTransferitoPlugin,
            $sqlPath,
            Config::getCorrectPath(),
            "database_download_" . date("dmY_His") . ".zip",
            "createFileArchive"
        );

        $hasFileBeenRemoved = $this->removeSQLFile($sqlPath);
        return $zippedSqlPath;
    }

    public function exportDatabase($excludePlugin, $destinationUrl, $host, $user, $pass, $name, $tables=false)
    {

	    global $wpdb;

	    $siteUrl = site_url();


	    $mysqli = new \mysqli($host, $user, $pass, $name);
        $mysqli->select_db($name);
        $mysqli->query("SET NAMES 'utf8'");

        $queryTables = $mysqli->query('SHOW TABLES');

        while ($row = $queryTables->fetch_row()) {
            $target_tables[] = $row[0];
        }

        if ($tables !== false) {
            $target_tables = array_intersect( $target_tables, $tables);
        }

        foreach($target_tables as $table) {
            $result = $mysqli->query('SELECT * FROM '.$table);
            $fields_amount = $result->field_count;
            $rows_num = $mysqli->affected_rows;
            $res = $mysqli->query('SHOW CREATE TABLE '.$table);
            $TableMLine = $res->fetch_row();

            $dropTable = "DROP TABLE IF EXISTS `" . $TableMLine[0] ."`;\r\n";
            $content = (!isset($content) ?  '' : $content) . "\n\n" . $dropTable . $TableMLine[1].";\n\n";

            for ($i = 0, $st_counter = 0; $i < $fields_amount;  $i++, $st_counter = 0) {
                while($row = $result->fetch_row())  { //when started (and every after 100 command cycle):
                    if ($st_counter%100 == 0 || $st_counter == 0 )  {
                        $content .= "\nINSERT INTO ".$table." VALUES";
                    }
                    $content .= "\n(";
                    for($j = 0; $j < $fields_amount; $j++)  {

                        $row[$j] = str_replace("\n","\\n", addslashes($row[$j]) );
                        if (isset($row[$j])){

	                        /**
	                         * Remove the transferito plugin
	                         */
                        	if ($excludePlugin && $table === $wpdb->prefix . 'options') {
                        		if ($row[$j] === "active_plugins") {
			                        $activePluginArray = unserialize($row[2]);
			                        $foundKey = ($activePluginArray) ? array_search("transferito/transferito.php", $activePluginArray) : false;
			                        if ($foundKey) {
				                        unset($activePluginArray[$foundKey]);
				                        $newActivePluginArray = array_values($activePluginArray);
				                        $row[2] = serialize($newActivePluginArray);
			                        }
		                        }
		                        if ($row[$j] === "transferito_settings_option") {
			                        $row[2] = serialize(array());
		                        }
	                        }

	                        $urlInDB = strpos($row[$j], $siteUrl);
	                        if ($urlInDB !== false) {
		                        $row[$j] = str_replace($siteUrl, $destinationUrl, $row[$j]);
	                        }

                            $content .= '"'.$row[$j].'"' ;
                        }else {
                            $content .= '""';
                        }

                        if ($j<($fields_amount-1)){
                            $content.= ',';
                        }
                    }
                    $content .=")";
                    //every after 100 command cycle [or at last line] ....p.s. but should be inserted 1 cycle eariler
                    if ( (($st_counter+1)%100==0 && $st_counter!=0) || $st_counter+1==$rows_num) {
                        $content .= ";";
                    } else {
                        $content .= ",";
                    }
                    $st_counter=$st_counter+1;
                }
            }
            $content .="\n\n\n";
        }


        $fileName  = Config::getCorrectPath() . "/database_download_" . date("dmY_His") . ".sql";

        if (!file_put_contents($fileName, $content)) {
            return false;
        };

        return $fileName;

    }

    public function removeSQLFile($sqlFile)
    {
        if (unlink($sqlFile)) {
            return true;
        }
        return false;
    }

}