<div class="wrap">

	<?php echo loadTemplate('parts/empty-keys', array('showEmptyKeyMessage' => $data['emptyAPIKeys'])); ?>

	<?php if (!$data['emptyAPIKeys']) : ?>

        <div id="transferCreationForm">

            <h1>Create a Transfer</h1>

            <div id="transferCreationFailure" class="notice notice-error transferito-hide">
                <p><strong>We haven't been able to complete your transfer</strong></p>
                <p><span id="failedTransferMessage">message</span></p>
            </div>

            <input type="hidden" id="createTransferNonce" value="<?php echo wp_create_nonce("create_wp_transfer"); ?>">

            <form id="createTransferForm" class="transferito-setting_form" method="POST" action="">

                <input type="hidden" name="transferType" class="transferito-form-element" value="local">
                <table id="excludeTransferitoTable" class="form-table mb0">
                    <tbody>
                        <tr>
                            <th scope="row">Exclude plugin</th>
                            <td>
                                <label class="transferito-checkbox_label" for="excludeTransferito">
                                    <input type="checkbox"
                                           class="transferito-form-element transferito-checkbox"
                                           name="exclude_transferito_plugin" id="excludeTransferito">
                                    Do not transfer the <strong>Transferito</strong> plugin to your destination server
                                </label>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <table id="selectedFoldersDetails" class="form-table">
                    <tbody>
                    <tr>
                        <th scope="row">Selected folders</th>
                        <td>
                            <label class="transferito-checkbox_label" for="useSelectedFolders">
                                <input type="checkbox"
                                       class="transferito-form-element transferito-checkbox show-selected-folder"
                                       name="transfer_selected_folders" id="useSelectedFolders">
                                Only transfer these selected folders to your new server
                            </label>
                        </td>
                    </tr>
                    <tr class="selected-folder-selection">
                        <th scope="row"></th>
                        <td>
                            <div class="selected-folder-container">
                                <ul class="form-no-clear">
							        <?php foreach ($data['directories'] as $directory => $subDirectories) : ?>
                                        <li>
                                            <label class="menu-item-title">
                                                <input
                                                        type="checkbox"
                                                        class="transferito-form-element menu-item-checkbox"
                                                        name="folder_path[]"
                                                        value="<?php echo WP_CONTENT_DIR . '/' . $directory; ?>">
										        <?php echo ucfirst($directory); ?>
                                            </label>

									        <?php if (count($subDirectories) > 0) : ?>
                                                <span class="selected-folder_plus">+</span>
                                                <ul class="selected-folder_sub-directory">
											        <?php foreach ($subDirectories as $subDirectory) : ?>
                                                        <li>
                                                            <label class="menu-item-title">
                                                                <input
                                                                        type="checkbox"
                                                                        class="transferito-form-element menu-item-checkbox"
                                                                        name="folder_path[]"
                                                                        value="<?php echo WP_CONTENT_DIR . '/' . $directory . '/' . $subDirectory; ?>">
														        <?php echo $subDirectory; ?>
                                                            </label>
                                                        </li>
											        <?php endforeach; ?>
                                                </ul>
									        <?php endif; ?>
                                        </li>
							        <?php endforeach; ?>
                                </ul>
                            </div>
                        </td>
                    </tr>
                    </tbody>
                </table>

                <div class="selected-folder-container white-block mb45">
                    <div class="transfer-block separate-block-line">
                        <h2>Destination Server Database details</h2>
                        <p>Enter or select your database details for the destination server</p>
                    </div>

			        <?php if (count($data['savedDBs']) > 0) : ?>
                        <table id="savedDatabaseDetails" class="form-table">
                            <tbody>
                            <tr>
                                <th scope="row">Saved DB Details</th>
                                <td>
                                    <select name="saved_db" id="" class="transferito-form-element transferito-input transferito-select">
								        <?php foreach ($data['savedDBs'] as $databaseDetail) : ?>
                                            <option value="<?php echo $databaseDetail->detailId; ?>"><?php echo $databaseDetail->nickname; ?></option>
								        <?php endforeach; ?>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td scope="row"></td>
                                <td>
                                    <div class="transferito-button small-transferito-button hide-saved-detail button button-primary button-large">Add New</div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
			        <?php endif; ?>

                    <table id="databaseDetails" class="form-table <?php echo (count($data['savedDBs']) > 0) ? 'hide-detail-inputs' : ''; ?>">
                        <tbody>
                        <tr class="database-fields">
                            <th scope="row">Database Host</th>
                            <td>
                                <input type="text" class="transferito-form-element transferito-input" name="dbHost">
                            </td>
                        </tr>
                        <tr class="database-fields">
                            <th scope="row">Database Name</th>
                            <td>
                                <input type="text" class="transferito-form-element transferito-input" name="dbName">
                            </td>
                        </tr>
                        <tr class="database-fields">
                            <th scope="row">Database Username</th>
                            <td>
                                <input type="text" class="transferito-form-element transferito-input" name="dbUser">
                            </td>
                        </tr>
                        <tr class="database-fields">
                            <th scope="row">Database Password</th>
                            <td>
                                <input type="text" class="transferito-form-element transferito-input" name="dbPass">
                            </td>
                        </tr>
                        <tr>
                            <th scope="row">Exclude Database</th>
                            <td>
                                <label class="transferito-checkbox_label" for="excludeDatabase">
                                    <input type="checkbox" class="transferito-form-element transferito-checkbox" id="excludeDatabase" name="exclude_database_transfer">
                                    Only transfer your files to your new server
                                </label>
                            </td>
                        </tr>
                        <tr class="database-fields">
                            <th scope="row">Save Details</th>
                            <td>
                                <label class="transferito-checkbox_label">
                                    <input type="checkbox" name="save_db_Details" class="transferito-form-element transferito-checkbox toggle-saved_details" id="saveDatabaseDetailsCheckbox">
                                    Save these database details to re-use them again
                                </label>
                            </td>
                        </tr>
                        <tr class="save-details-row database-fields">
                            <th scope="row"></th>
                            <td>
                                <input type="text"
                                       name="save_db_Details_nickname"
                                       class="transferito-form-element transferito-input"
                                       placeholder="Enter a name to identify these database details">
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>


                <div class="selected-folder-container white-block mb45">
                    <div class="transfer-block separate-block-line">
                        <h2>Destination Server FTP details</h2>
                        <p>Enter or select your ftp details for the destination server</p>
                    </div>

			        <?php if (count($data['savedFTP']) > 0) : ?>
                        <table id="savedFTPDetails" class="form-table">
                            <tbody>
                            <tr>
                                <th scope="row">Saved FTP Details</th>
                                <td>
                                    <select name="saved_ftp" id="" class="transferito-form-element transferito-input transferito-select">
								        <?php foreach ($data['savedFTP'] as $ftpDetail) : ?>
                                            <option value="<?php echo $ftpDetail->detailId; ?>"><?php echo $ftpDetail->nickname; ?></option>
								        <?php endforeach; ?>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td scope="row"></td>
                                <td>
                                    <div class="transferito-button small-transferito-button hide-saved-detail button button-primary button-large">Add New</div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
			        <?php endif; ?>

                    <table id="ftpDetails" class="form-table <?php echo (count($data['savedFTP']) > 0) ? 'hide-detail-inputs' : ''; ?>">
                        <tbody>

                        <tr>
                            <th scope="row">FTP host</th>
                            <td>
                                <input type="text" class="transferito-form-element transferito-input" name="ftpHost">
                            </td>
                        </tr>
                        <tr>
                            <th scope="row">FTP Username</th>
                            <td>
                                <input type="text" class="transferito-form-element transferito-input" name="ftpUser">
                            </td>
                        </tr>
                        <tr>
                            <th scope="row">FTP Password</th>
                            <td>
                                <input type="text" class="transferito-form-element transferito-input" name="ftpPass">
                            </td>
                        </tr>
                        <tr>
                            <th scope="row">FTP Path</th>
                            <td>
                                <input type="text" class="transferito-form-element transferito-input" name="ftpPath">
                            </td>
                        </tr>
                        <tr>
                            <th scope="row">Domain</th>
                            <td>
                                <input type="text" class="transferito-form-element transferito-input" name="domain">
                            </td>
                        </tr>
                        <tr>
                            <th scope="row">Save Details</th>
                            <td>
                                <label class="transferito-checkbox_label">
                                    <input type="checkbox" name="save_to_ftpUser" class="transferito-form-element transferito-checkbox toggle-saved_details">
                                    Save these FTP details to re-use them again
                                </label>
                            </td>
                        </tr>
                        <tr class="save-details-row">
                            <th scope="row"></th>
                            <td>
                                <input type="text" class="transferito-form-element transferito-input"
                                       name="save_to_ftpUser_nickname"
                                       placeholder="Enter a name to identify these ftp details">
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="transfer-button-container">
                    <div class="transferito-button button button-primary button-large" id="createTransfer">Create transfer</div>
                </div>

            </form>

        </div>

        <div id="createTransferSuccess" class="transferito-hide">
	        <?php echo loadTemplate('parts/transfer-progress', array('showFirstSpinner' => true)); ?>
        </div>

	<?php endif; ?>

</div>
